# ChangeLog for games-strategy/freeciv
# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/games-strategy/freeciv/ChangeLog,v 1.59 2007/02/14 02:18:43 mr_bones_ Exp $

  14 Feb 2007; Michael Sterrett <mr_bones_@gentoo.org>
  -freeciv-2.0.8-r1.ebuild, -freeciv-2.0.8-r2.ebuild, freeciv-2.0.9.ebuild:
  removed buggy 2.0.8 version

*freeciv-2.0.9 (14 Feb 2007)

  14 Feb 2007; Tristan Heaven <nyhm@gentoo.org> -files/freeciv.png,
  freeciv-2.0.8-r1.ebuild, freeciv-2.0.8-r2.ebuild, +freeciv-2.0.9.ebuild:
  Version bump, bug #166461

  23 Nov 2006; Francesco Riosa <vivo@gentoo.org> freeciv-2.0.8-r2.ebuild:
  dev-db/mysql => virtual/mysql

  12 Nov 2006; Michael Cummings <mcummings@gentoo.org>
  freeciv-2.0.8-r2.ebuild:
  Marking amd64 stable, bug 153507 revisited

  05 Nov 2006; Joshua <joslwah@gentoo.org> freeciv-2.0.8-r2.ebuild:
  Mark stable for ppc64.

  31 Oct 2006; Danny van Dyk <kugelfang@gentoo.org> freeciv-2.0.8-r1.ebuild,
  freeciv-2.0.8-r2.ebuild:
  Added missing dep on media-libs/libpng. Marked stable on amd64.

  27 Oct 2006; Joseph Jezak <josejx@gentoo.org> freeciv-2.0.8-r2.ebuild:
  Marked ppc stable.

  05 Oct 2006; Tristan Heaven <nyhm@gentoo.org> freeciv-2.0.8-r1.ebuild,
  freeciv-2.0.8-r2.ebuild:
  Fix gettext dependency

  03 Oct 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  freeciv-2.0.8-r2.ebuild:
  Stable on sparc

*freeciv-2.0.8-r2 (15 Sep 2006)

  15 Sep 2006; <tupone@gentoo.org> +freeciv-2.0.8-r2.ebuild:
  Adding authentication capability. Bug #139027 by <lordvan@gentoo.org>

  29 Aug 2006; Joshua Kinard <kumba@gentoo.org> freeciv-2.0.8-r1.ebuild:
  Marked stable on mips.

*freeciv-2.0.8-r1 (07 Aug 2006)

  07 Aug 2006; Michael Sterrett <mr_bones_@gentoo.org>
  +files/freeciv-2.0.8-DoS.patch, -freeciv-2.0.8.ebuild,
  +freeciv-2.0.8-r1.ebuild:
  add upstream patch for DoS issue (bug #141563); rev bumped to force out

  30 Jul 2006; Joshua Kinard <kumba@gentoo.org> freeciv-2.0.8.ebuild:
  Add pkgconfig as a DEP because freeciv needs it to find gtk. If gtk is
  merged from binpkg, the possibility exists for pkgconfig to not get merged
  due to being only in gtk's DEP and not RDEP.

  13 Jul 2006; Joshua Kinard <kumba@gentoo.org> freeciv-2.0.8.ebuild:
  Added x11-proto/xextproto to DEPEND to satisfy a need for shape.h, and
  marked unstable on mips.

  22 Mar 2006; <Tupone@gentoo.org> +files/freeciv.png, freeciv-2.0.8.ebuild:
  Icon for menu entries, bug #125344 by Raymond Lewis Rebbeck

  12 Mar 2006; Simon Stelling <blubb@gentoo.org> freeciv-2.0.8.ebuild:
  stable on amd64 wrt bug 125304

  09 Mar 2006; Jose Luis Rivero <yoswink@gentoo.org> freeciv-2.0.8.ebuild:
  Stable on alpha wrt security bug #125304

  08 Mar 2006; Lars Weiler <pylon@gentoo.org> freeciv-2.0.8.ebuild:
  Stable on ppc (tested by AT mabi).

  07 Mar 2006; Gustavo Zacarias <gustavoz@gentoo.org> freeciv-2.0.8.ebuild:
  Stable on sparc wrt security #125304

  07 Mar 2006; Michael Sterrett <mr_bones_@gentoo.org> freeciv-2.0.8.ebuild:
  security stablize for bug #125304

*freeciv-2.0.8 (06 Mar 2006)

  06 Mar 2006; Michael Sterrett <mr_bones_@gentoo.org>
  +freeciv-2.0.8.ebuild:
  version bump

  20 Jan 2006; Chris Gianelloni <wolf31o2@gentoo.org> -freeciv-2.0.5.ebuild,
  freeciv-2.0.7.ebuild:
  Marking stable and removing older versions.

  20 Jan 2006; Chris Gianelloni <wolf31o2@gentoo.org> freeciv-2.0.5.ebuild,
  freeciv-2.0.7.ebuild:
  Added modular X dependencies and closing bug #119730.

*freeciv-2.0.7 (07 Nov 2005)

  07 Nov 2005; Michael Sterrett <mr_bones_@gentoo.org>
  +freeciv-2.0.7.ebuild:
  version bump

*freeciv-2.0.6 (28 Sep 2005)

  28 Sep 2005; Michael Sterrett <mr_bones_@gentoo.org>
  +freeciv-2.0.6.ebuild:
  version bump

  20 Sep 2005; Michael Sterrett <mr_bones_@gentoo.org>
  -freeciv-1.14.2.ebuild:
  remove freeciv-1 now that freeciv-2 is well established

  20 Sep 2005; Michael Sterrett <mr_bones_@gentoo.org> freeciv-2.0.5.ebuild:
  remove gtk2 use flag; fix src_install; tidy

  19 Sep 2005; Michael Sterrett <mr_bones_@gentoo.org>
  -freeciv-2.0.3.ebuild, -freeciv-2.0.4.ebuild:
  clean old versions

  10 Sep 2005; Aron Griffis <agriffis@gentoo.org> freeciv-2.0.5.ebuild:
  Mark 2.0.5 stable on alpha

*freeciv-2.0.5 (04 Sep 2005)

  04 Sep 2005; Michael Sterrett <mr_bones_@gentoo.org>
  +freeciv-2.0.5.ebuild:
  version bump

*freeciv-2.0.4 (30 Jul 2005)

  30 Jul 2005; Michael Sterrett <mr_bones_@gentoo.org>
  -freeciv-1.14.1.ebuild, freeciv-1.14.2.ebuild, -freeciv-2.0.1.ebuild,
  -freeciv-2.0.2.ebuild, freeciv-2.0.3.ebuild, +freeciv-2.0.4.ebuild:
  version bump; clean older ebuilds

*freeciv-2.0.3 (13 Jul 2005)

  13 Jul 2005; Michael Sterrett <mr_bones_@gentoo.org>
  +freeciv-2.0.3.ebuild:
  version bump

*freeciv-2.0.2 (19 Jun 2005)

  19 Jun 2005; Michael Sterrett <mr_bones_@gentoo.org>
  +freeciv-2.0.2.ebuild:
  version bump

  17 Jun 2005; Michael Hanselmann <hansmi@gentoo.org> freeciv-2.0.1.ebuild:
  Stable on ppc.

  15 Jun 2005; Chris Gianelloni <wolf31o2@gentoo.org> freeciv-1.14.1.ebuild,
  freeciv-1.14.2.ebuild, freeciv-2.0.1.ebuild:
  Removed INSTALL file.

  08 Jun 2005; Gustavo Zacarias <gustavoz@gentoo.org> freeciv-2.0.1.ebuild:
  Stable on sparc

  05 Jun 2005; Marcus D. Hanwell <marcus@gentoo.org> freeciv-2.0.1.ebuild:
  Stable on amd64.

  05 Jun 2005; Michael Sterrett <mr_bones_@gentoo.org> freeciv-2.0.1.ebuild:
  stable on x86

  17 May 2005; Jose Luis Rivero <yoswink@gentoo.org> freeciv-2.0.1.ebuild:
  Keyworded ~alpha

  16 May 2005; Jose Luis Rivero <yoswink@gentoo.org> freeciv-1.14.2.ebuild:
  Keyworded ~alpha

*freeciv-2.0.1 (01 May 2005)

  01 May 2005; Michael Sterrett <mr_bones_@gentoo.org>
  +freeciv-2.0.1.ebuild:
  version bump (bug #67109) - ebuild submitted by TGL

  28 Dec 2004; Ciaran McCreesh <ciaranm@gentoo.org> :
  Change encoding to UTF-8 for GLEP 31 compliance

  23 Nov 2004; Michael Sterrett <mr_bones_@gentoo.org> freeciv-1.14.2.ebuild:
  removed unused ogg/vorbis dep for gtk

*freeciv-1.14.2 (11 Sep 2004)

  11 Sep 2004; Michael Sterrett <mr_bones_@gentoo.org> +freeciv-1.14.2.ebuild:
  version bump (bug #63552)

  03 Jun 2004; Aron Griffis <agriffis@gentoo.org> freeciv-1.14.1.ebuild:
  Fix use invocation

  27 Mar 2004; Michael Sterrett <mr_bones_@gentoo.org> freeciv-1.14.1.ebuild:
  remove unused sdl from IUSE

  19 Mar 2004; Michael Sterrett <mr_bones_@gentoo.org> freeciv-1.14.1.ebuild:
  fix ugly depend screw up with readline

  03 Feb 2004; Michael Sterrett <mr_bones_@gentoo.org> freeciv-1.14.1.ebuild:
  locale fix for bug 40253; add USE readline support

  28 Jan 2004; <gustavoz@gentoo.org> freeciv-1.14.1.ebuild:
  marked stable on sparc

  21 Jan 2004; Michael Sterrett <mr_bones_@gentoo.org> freeciv-1.14.1.ebuild:
  replace deprecated USE flag structure with supported method

  06 Jan 2004; Michael Sterrett <mr_bones_@gentoo.org> freeciv-1.14.1.ebuild:
  added install of stdsounds2 from the freeciv site (to address bug 36178)

*freeciv-1.14.1 (03 Jan 2004)

  03 Jan 2004; Mike Frysinger <vapier@gentooo.org> :
  Version bump + clean up #35803.

  21 Nov 2003; Michael Sterrett <mr_bones_@gentoo.org>
  freeciv-1.15.0_alpha20030901.ebuild:
  remove misnamed cvs snap

*freeciv-1.14.1_beta4 (21 Nov 2003)

  21 Nov 2003; Michael Sterrett <mr_bones_@gentoo.org>
  freeciv-1.14.1_beta4.ebuild:
  add beta version with better gtk2 handling

  13 Oct 2003; Jason Wever <weeve@gentoo.org>
  freeciv-1.15.0_alpha20030901.ebuild:
  Added ~sparc keyword.

*freeciv-1.14.1_beta1 (17 Sep 2003)

  17 Sep 2003; Michael Sterrett <msterret@gentoo.org>
  freeciv-1.14.1_beta1.ebuild:
  Add the beta for Gentoo testing pleasure.

*freeciv-1.15.0_alpha20030901 (01 Sep 2003)

  01 Sep 2003; Michael Sterrett <msterret@gentoo.org>
  freeciv-1.15.0_alpha20030901.ebuild:
  Add the current cvs snapshot since it seems to be more stable.

  12 Jun 2003; <msterret@gentoo.org> freeciv-1.14.0-r1.ebuild:
  add Header

*freeciv-1.14.0-r1 (6 Jun 2003)
  6 Jun 2003; Michael Nazaroff <naz@gentoo.org> freeciv-1.14.0-r1.ebuild:
  enabled gtk2 support if gtk2 is in the USE flag added more explicit 
  depenencies. Thanks to Kalen Petersen and Mathias Hasselmann.

*freeciv-1.14.0 (21 Jan 2003)
  21 Jan 2003; Thomas Raschbacher <lordvan@gentoo.org> freeciv-1.14.0.ebuild:
  version bump
  
  01 May 2003; Lars Weiler <pylon@gentoo.org> freeciv-1.14.0.ebuild
  Added KEYWORD ~ppc

*freeciv-1.13.0 (28 Jul 2002)
 
  28 Jul 2002; Daniel Ahlberg <aliz@gentoo.org> freeciv-1.13.0.ebuild :

  Version bump. Foundt by Antoine Hersen <antoine.hersen@wanadoo.fr>.

*freeciv-1.12.0-r2 (29 Mar 2002)

  17 jul 2002; Jose Alberto Suárez López <bass@gentoo.org> freeciv-1.12.0-r2.ebuild :
  Added LICENSE, KEYWORDS.

  29 Mar 2002; Seemant Kulleen <seemant@gentoo.org> freeciv-1.12.0-r2.ebuild :

  jasonr@myrealbox.com (Jason Draugluin Ritchie) suggested cleaning up the
  ebuild, and boy! was he right.  So, the grammar has been updated, and the
  USE flag checks are now slightly more flexible.

*freeciv-1.12.0-r1 (1 Feb 2002)

  17 jul 2002; Jose Alberto Suárez López <bass@gentoo.org> freeciv-1.12.0-r1.ebuild :
  Added LICENSE, KEYWORDS.

  1 Feb 2002; G.Bevin <gbevin@gentoo.org> ChangeLog :
  
  Added initial ChangeLog which should be updated whenever the package is
  updated in any way. This changelog is targetted to users. This means that the
  comments should well explained and written in clean English. The details about
  writing correct changelogs are explained in the skel.ChangeLog file which you
  can find in the root directory of the portage repository.
